From f26188c0f42002867d0338e2be949146a2e974b7 Mon Sep 17 00:00:00 2001
From: Jonathan Leech-Pepin <jonathan.leechpepin@gmail.com>
Date: Thu, 4 Sep 2014 08:44:47 -0400
Subject: [PATCH] ob-sql.el: Add support for sqlcmd

* lisp/ob-sql.el (org-babel-execute:sql): Add support for sqlcmd on
  Windows.  This is a replacement for osql.
---
 lisp/ob-sql.el |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/lisp/ob-sql.el b/lisp/ob-sql.el
index 7b85df8..e96d55d 100644
--- a/lisp/ob-sql.el
+++ b/lisp/ob-sql.el
@@ -116,6 +116,12 @@ This function is called by `org-babel-execute-src-block'."
                                      (or cmdline "")
                                      (org-babel-process-file-name in-file)
                                      (org-babel-process-file-name out-file)))
+		    ('mssqlcmd (format "sqlcmd %s -S %s -s \"\t\" -i %s -o %s"
+				    (or cmdline "")
+				    dbhost
+				    (org-babel-process-file-name in-file)
+				    (org-babel-process-file-name
+				     out-file)))
                     ('mysql (format "mysql %s %s %s < %s > %s"
 				    (dbstring-mysql dbhost dbuser dbpassword database)
 				    (if colnames-p "" "-N")
-- 
1.7.9

